<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.text.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.layout.GridPane?>

<GridPane maxHeight="1080" maxWidth="1920" minHeight="720" minWidth="1280" prefHeight="720" prefWidth="1280" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="view.controllers.ProfessorSceneController">
  <columnConstraints>
    <ColumnConstraints hgrow="SOMETIMES" maxWidth="100.0" minWidth="100.0" prefWidth="100.0" />
    <ColumnConstraints hgrow="SOMETIMES" />
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="119.0" minWidth="119.0" prefWidth="119.0" />
  </columnConstraints>
  <rowConstraints>
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
  </rowConstraints>
   <children>
      <GridPane fx:id="raspored" GridPane.columnIndex="1">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
        </columnConstraints>
        <rowConstraints>
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="1">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <Label fx:id="lblDatePon" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
                  <Label text="PON" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
               </children>
               <GridPane.margin>
                  <Insets left="5.0" right="5.0" />
               </GridPane.margin>
            </GridPane>
            <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="2" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
               <children>
                  <Label fx:id="lblDateUto" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
                  <Label text="UTO" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
               </children>
               <columnConstraints>
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
               </columnConstraints>
               <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
               </rowConstraints>
               <GridPane.margin>
                  <Insets left="5.0" right="5.0" />
               </GridPane.margin>
            </GridPane>
            <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="3">
               <children>
                  <Label fx:id="lblDateSri" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
                  <Label text="SRI" GridPane.halignment="CENTER">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
               </children>
               <columnConstraints>
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
               </columnConstraints>
               <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
               </rowConstraints>
               <GridPane.margin>
                  <Insets left="5.0" right="5.0" />
               </GridPane.margin>
            </GridPane>
            <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="4">
               <children>
                  <Label fx:id="lblDateCet" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
                  <Label text="CET" GridPane.halignment="CENTER">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
               </children>
               <columnConstraints>
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
               </columnConstraints>
               <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
               </rowConstraints>
               <GridPane.margin>
                  <Insets left="5.0" right="5.0" />
               </GridPane.margin>
            </GridPane>
            <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="5">
               <children>
                  <Label fx:id="lblDatePet" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
                  <Label text="PET" GridPane.halignment="CENTER">
                     <GridPane.margin>
                        <Insets left="5.0" right="5.0" />
                     </GridPane.margin></Label>
               </children>
               <columnConstraints>
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
               </columnConstraints>
               <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
               </rowConstraints>
               <GridPane.margin>
                  <Insets left="5.0" right="5.0" />
               </GridPane.margin>
            </GridPane>
            <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="6">
               <children>
                  <Label fx:id="lblDateSub" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1" />
                  <Label text="SUB" GridPane.halignment="CENTER" />
               </children>
               <columnConstraints>
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
               </columnConstraints>
               <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
               </rowConstraints>
               <GridPane.margin>
                  <Insets left="5.0" right="5.0" />
               </GridPane.margin>
            </GridPane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="1">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="8:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="2">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="9:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="3">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="10:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="4">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="11:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="5">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="12:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="6">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="13:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="7">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="14:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="8">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="15:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="9">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="16:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="10">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="17:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="11">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="18:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="12">
               <children>
                  <Label layoutX="7.0" layoutY="7.0" text="19:00" textFill="WHITE" />
               </children>
               <GridPane.margin>
                  <Insets bottom="2.0" top="2.0" />
               </GridPane.margin>
            </Pane>
            <Pane prefHeight="200.0" prefWidth="200.0">
               <children>
                  <Label layoutX="14.0" layoutY="5.0" text="Dobrodosao">
                     <font>
                        <Font size="12.0" />
                     </font>
                  </Label>
                  <Label fx:id="lblUsername" layoutX="14.0" layoutY="26.0">
                     <font>
                        <Font size="11.0" />
                     </font>
                  </Label>
               </children></Pane>
         </children>
      </GridPane>
      <VBox prefHeight="200.0" prefWidth="100.0">
         <children>
            <Button fx:id="btnLogout" mnemonicParsing="false" onAction="#handleButtonLogout" prefHeight="25.0" prefWidth="123.0" text="Odjava" />
            <Button fx:id="btnReservation" mnemonicParsing="false" onAction="#handleButtonReservation" prefHeight="25.0" prefWidth="104.0" text="Rezervacija" />
            <Button fx:id="btnIzvjestaj" mnemonicParsing="false" onAction="#handleButtonIzvjestaj" prefHeight="25.0" prefWidth="100.0" text="Izvjestaj" />
         </children>
      </VBox>
      <VBox prefHeight="200.0" prefWidth="100.0" GridPane.columnIndex="2">
         <children>
            <Label text="SEDMICA" />
            <DatePicker fx:id="datePicker" onAction="#handleDatePicker" showWeekNumbers="true" />
            <Label text="FILTERI" />
            <Label text="Zgrada" />
            <ChoiceBox fx:id="filterBuilding" onAction="#handleFilterProfessor" prefWidth="150.0" />
            <Label text="Sala" />
            <ChoiceBox fx:id="filterClassroom" onAction="#handleFilterProfessor" prefWidth="150.0" />
            <Label text="Profesor" />
            <ChoiceBox fx:id="filterProfessor" onAction="#handleFilterProfessor" prefWidth="150.0" />
            <Label text="Semestar" />
            <ChoiceBox fx:id="filterSemester" onAction="#handleFilterProfessor" prefWidth="150.0" />
            <Label text="Godina" />
            <ChoiceBox fx:id="filterYear" onAction="#handleFilterStudent" prefWidth="150.0" />
            <Label text="Predmet" />
            <ChoiceBox fx:id="filterSubject" onAction="#handleFilterProfessor" prefWidth="150.0" />
            <Label text="Grupa" />
            <ChoiceBox fx:id="filterGroup" onAction="#handleFilterProfessor" prefWidth="150.0" />
            <CheckBox fx:id="toggleShowReservations" mnemonicParsing="false" onAction="#handleToggleShowReservations" prefHeight="40.0" prefWidth="110.0" selected="true" text="Prikazi rezervacije" wrapText="true" />
         </children>
      </VBox>
   </children>
</GridPane>
